public class SwappableIntTester {
    public static void main(String[] args) {
        SwappableInt n1= new SwappableInt(7);
        SwappableInt n2= new SwappableInt(1);
        SwappableInt n3= new SwappableInt(8);
        System.out.println("n1 = " + n1 + ", n2 = " + n2);
        System.out.println("I swap them");
        n1.swapInts(n2);
        System.out.println("n1 = " + n1 + ", n2 = " + n2);
        System.out.println("I add n2 to n1");
        n1.addInt(n2);
        System.out.println("n1 = " + n1 + ", n2 = " + n2);
        System.out.println("n1 = " + n1 + ", n3 = " + n3);
        System.out.println("\"n1 and n3 are equals\" is " +
                n1.equals(n3));
    }
}
